JNA API 3.3.0

## com.sun.jna
Class LastErrorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.jna.LastErrorException

All Implemented Interfaces:
  Serializable

    public class LastErrorException

extends RuntimeException

Exception representing a non-zero error code returned in either `errno` or `GetLastError()`.

See Also:
  Serialized Form

Constructor Summary
`LastErrorException(int code)`
`LastErrorException(String msg)`

Method Summary
`int` | `getErrorCode()` Returns the error code of the error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LastErrorException

    public LastErrorException(String msg)

### LastErrorException

    public LastErrorException(int code)

Method Detail

### getErrorCode

    public int getErrorCode()

  Returns the error code of the error.

  Returns:
    Error code.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.